@echo off
@if xx%1 == xx goto args
@if xx%1xx == xx?xx goto args
@echo 
@echo 
@echo Parsing TMX file %1 with NSGMLS
@echo Check PARSE.OUT and PARSE.ERR for results
@echo 
@echo 
bin\nsgmls -E 6000 -c tmxcatlg.txt -f parse.err -t parse.out %1
@goto end
:args
cls
@echo Ŀ
@echo Usage:    PARSE  sgmlInputFile  (commandOptions)                             
@echo ĳ
@echo Results:  Parsed material written to PARSE.OUT; errors written to PARSE.ERR  
@echo ĳ
@echo Options:  advanced error checking and customized program execution available 
@echo           through added command line arguments. See NSGMLS docs for details. 
@echo           The current command line structure is:                             
@echo                                                                              
@echo           NSGMLS -c tmxcatlg.txt -f parse.err -t parse.out file.tmx          
@echo                                                                              
@echo ĳ
@echo Example:  PARSE  doc.001              (only basic errors are checked)        
@echo           PARSE  doc.001  -eg         (advanced error checking added)        
@echo 
@echo  For more information about using the NSGMLS parser, read NSGMLS DOC
@echo 
:end
